package de.avatic.taricdb.model;

import java.time.LocalDate;

import org.springframework.data.relational.core.mapping.Table;

import jakarta.validation.constraints.Size;


@Table("footnotes_desc")
public class FootnotesDesc {

    private Integer id;

    @Size(max = 2)
    private String lang;

    private String desc;

    private LocalDate descStartDate;

    public FootnotesDesc(String desc, String lang, LocalDate descStartDate) {
		this.desc = desc;
		this.lang = lang;
		this.descStartDate = descStartDate;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(final String lang) {
        this.lang = lang;
    }

    public String getDescc() {
        return desc;
    }

    public void setDesc(final String desc) {
        this.desc = desc;
    }

    public LocalDate getDescStartDate() {
        return descStartDate;
    }

    public void setDescStartDate(final LocalDate descStartDate) {
        this.descStartDate = descStartDate;
    }

}
